|  | Dual Active Bridge Development Board (Part-No. ) |
Content |  |  |  |  |  |

Loading...
Searching...
No Matches
Data Fields
UART_INTERFACE Struct Reference
MPLABX MCC Melody Code Generator » UART Driver

Structure containing the function pointers of UART driver. More...

`#include <C:/MCU16Projects/bitbucket/dspic33ck-power-dcdc-dual-active-bridge-development-platform/dspic33ck-dab.X/mcc_generated_files/uart/uart_interface.h>`

Collaboration diagram for UART_INTERFACE:

## Data Fields
void(* | Initialize )(void)
| Pointer to UARTx_Initialize e.g. UART1_Initialize.
void(* | Deinitialize )(void)
| Pointer to UARTx_Deinitialize e.g. UART1_Deinitialize.
uint8_t(* | Read )(void)
| Pointer to UARTx_Read e.g. UART1_Read.
void(* | Write )(uint8_t)
| Pointer to UARTx_Write e.g. UART1_Write.
bool(* | IsRxReady )(void)
| Pointer to UARTx_IsRxReady e.g. UART1_IsRxReady.
bool(* | IsTxReady )(void)
| Pointer to UARTx_IsTxReady e.g. UART1_IsTxReady.
bool(* | IsTxDone )(void)
| Pointer to UARTx_IsTxDone e.g. UART1_IsTxDone.
void(* | TransmitEnable )(void)
| Pointer to UARTx_TransmitEnable e.g. UART1_TransmitEnable.
void(* | TransmitDisable )(void)
| Pointer to UARTx_TransmitDisable e.g. UART1_TransmitDisable.
void(* | TransmitInterruptEnable )(void)
| Pointer to UARTx_TransmitInterruptEnable e.g. UART1_TransmitInterruptEnable.
void(* | TransmitInterruptDisable )(void)
| Pointer to UARTx_TransmitInterruptDisable e.g. UART1_TransmitInterruptDisable.
void(* | AutoBaudSet )(bool enable)
| Pointer to UARTx_AutoBaudSet e.g. UART1_AutoBaudSet.
bool(* | AutoBaudQuery )(void)
| Pointer to UARTx_AutoBaudQuery e.g. UART1_AutoBaudQuery.
bool(* | AutoBaudEventEnableGet )(void)
| Pointer to UARTx_AutoBaudEventEnableGet e.g. UART1_AutoBaudEventEnableGet.
void(* | BRGCountSet )(uint32_t brgValue)
| Pointer to UARTx_BRGCountSet e.g. UART1_BRGCountSet.
uint32_t(* | BRGCountGet )(void)
| Pointer to UARTx_BRGCOuntGet e.g. UART1_BRGCountGet.
void(* | BaudRateSet )(uint32_t baudRate)
| Pointer to UARTx_BaudRateSet e.g. UART1_BaudRateSet.
uint32_t(* | BaudRateGet )(void)
| Pointer to UARTx_BaudRateGet e.g. UART1_BaudRateGet.
size_t(* | ErrorGet )(void)
| Pointer to UARTx_ErrorGet e.g. UART1_ErrorGet.
void(* | RxCompleteCallbackRegister )(void(*CallbackHandler)(void))
| Pointer to UARTx_RxCompleteCallbackRegister e.g. UART1_RxCompleteCallbackRegister (defined only in interrupt mode)
void(* | TxCompleteCallbackRegister )(void(*CallbackHandler)(void))
| Pointer to UARTx_TxCompleteCallbackRegister e.g. UART1_TxCompleteCallbackRegister (defined only in interrupt mode)
void(* | TxCollisionCallbackRegister )(void(*CallbackHandler)(void))
| Pointer to UARTx_TxCollisionCallbackRegister e.g. UART1_TxCollisionCallbackRegister (defined only in interrupt mode)
void(* | FramingErrorCallbackRegister )(void(*CallbackHandler)(void))
| Pointer to UARTx_FramingErrorCallbackRegister e.g. UART1_FramingErrorCallbackRegister (defined only in interrupt mode)
void(* | OverrunErrorCallbackRegister )(void(*CallbackHandler)(void))
| Pointer to UARTx_OverrunErrorCallbackRegister e.g. UART1_OverrunErrorCallbackRegister (defined only in interrupt mode)
void(* | ParityErrorCallbackRegister )(void(*CallbackHandler)(void))
| Pointer to UARTx_ParityErrorCallbackRegister e.g. UART1_ParityErrorCallbackRegister (defined only in interrupt mode)

## Detailed Description

Definition at line 55 of file uart_interface.h.

## Field Documentation

## ◆ AutoBaudEventEnableGet

bool(* AutoBaudEventEnableGet) (void)

Definition at line 95 of file uart_interface.h.

## ◆ AutoBaudQuery

bool(* AutoBaudQuery) (void)

Definition at line 92 of file uart_interface.h.

## ◆ AutoBaudSet

void(* AutoBaudSet) (bool enable)

Definition at line 89 of file uart_interface.h.

## ◆ BaudRateGet

uint32_t(* BaudRateGet) (void)

Definition at line 107 of file uart_interface.h.

## ◆ BaudRateSet

void(* BaudRateSet) (uint32_t baudRate)

Definition at line 104 of file uart_interface.h.

## ◆ BRGCountGet

uint32_t(* BRGCountGet) (void)

Definition at line 101 of file uart_interface.h.

## ◆ BRGCountSet

void(* BRGCountSet) (uint32_t brgValue)

Definition at line 98 of file uart_interface.h.

## ◆ Deinitialize

void(* Deinitialize) (void)

Definition at line 59 of file uart_interface.h.

## ◆ ErrorGet

size_t(* ErrorGet) (void)

Definition at line 110 of file uart_interface.h.

## ◆ FramingErrorCallbackRegister

void(* FramingErrorCallbackRegister) (void(*CallbackHandler)(void))

Definition at line 119 of file uart_interface.h.

## ◆ Initialize

void(* Initialize) (void)

Definition at line 56 of file uart_interface.h.

## ◆ IsRxReady

bool(* IsRxReady) (void)

Definition at line 68 of file uart_interface.h.

## ◆ IsTxDone

bool(* IsTxDone) (void)

Definition at line 74 of file uart_interface.h.

## ◆ IsTxReady

bool(* IsTxReady) (void)

Definition at line 71 of file uart_interface.h.

## ◆ OverrunErrorCallbackRegister

void(* OverrunErrorCallbackRegister) (void(*CallbackHandler)(void))

Definition at line 121 of file uart_interface.h.

## ◆ ParityErrorCallbackRegister

void(* ParityErrorCallbackRegister) (void(*CallbackHandler)(void))

Definition at line 123 of file uart_interface.h.

## ◆ Read

uint8_t(* Read) (void)

Definition at line 62 of file uart_interface.h.

## ◆ RxCompleteCallbackRegister

void(* RxCompleteCallbackRegister) (void(*CallbackHandler)(void))

Definition at line 113 of file uart_interface.h.

## ◆ TransmitDisable

void(* TransmitDisable) (void)

Definition at line 80 of file uart_interface.h.

## ◆ TransmitEnable

void(* TransmitEnable) (void)

Definition at line 77 of file uart_interface.h.

## ◆ TransmitInterruptDisable

void(* TransmitInterruptDisable) (void)

Definition at line 86 of file uart_interface.h.

## ◆ TransmitInterruptEnable

void(* TransmitInterruptEnable) (void)

Definition at line 83 of file uart_interface.h.

## ◆ TxCollisionCallbackRegister

void(* TxCollisionCallbackRegister) (void(*CallbackHandler)(void))

Definition at line 117 of file uart_interface.h.

## ◆ TxCompleteCallbackRegister

void(* TxCompleteCallbackRegister) (void(*CallbackHandler)(void))

Definition at line 115 of file uart_interface.h.

## ◆ Write

void(* Write) (uint8_t)

Definition at line 65 of file uart_interface.h.

The documentation for this struct was generated from the following file:

- dspic33ck-dab.X/mcc_generated_files/uart/uart_interface.h